Package net.sf.saxon.lib

## Class StandardCollationURIResolver

- java.lang.Object
- - net.sf.saxon.lib.StandardCollationURIResolver

- All Implemented Interfaces:
    `CollationURIResolver`

      public class StandardCollationURIResolver
      extends java.lang.Object
      implements CollationURIResolver

  StandardCollationURIResolver allows a Collation to be created given a URI starting with "http://saxon.sf.net/collation" followed by a set of query parameters.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardCollationURIResolver()` | The class is normally used as a singleton, but the constructor is public to allow the class to be named as a value of the configuration property COLLATION_URI_RESOLVER

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StandardCollationURIResolver` | `getInstance()` | Return the singleton instance of this class
    `StringCollator` | `resolve​(java.lang.String uri, Configuration config)` | Create a collator from a parameterized URI

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardCollationURIResolver

          public StandardCollationURIResolver()

      The class is normally used as a singleton, but the constructor is public to allow the class to be named as a value of the configuration property COLLATION_URI_RESOLVER

  - ### Method Detail

    - #### getInstance

          public static StandardCollationURIResolver getInstance()

      Return the singleton instance of this class
      Returns:
        the singleton instance

    - #### resolve

          public StringCollator resolve​(java.lang.String uri,
                                        Configuration config)
                                 throws XPathException

      Create a collator from a parameterized URI
      Specified by:
        `resolve` in interface `CollationURIResolver`
      Parameters:
        `uri` - the collation URI as written in the query or stylesheet, after resolving against the base URI where necessary
        `config` - The configuration. Provided in case the collation URI resolver needs it.
      Returns:
        null if the collation URI is not recognized. If the collation URI is recognized but contains errors, the method returns null after sending a warning to the ErrorListener.
      Throws:
        `XPathException` - if the form of the URI is recognized, but if it is not valid, for example because it is not supported in this environment. In this case of the UCA collation, this exception is thrown when there are invalid parameters and fallback=no is specified.